'use strict';

var _babelCore = require('babel-core');

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var pluginPath = __dirname;

var babelOptions = {
    plugins: [pluginPath]
};

var emptyOptions = {};

test('__dirname', function () {

    var dirname_path = _path2.default.join(__dirname, '../test_folder/dirname.js');

    var pluginRes = (0, _babelCore.transformFileSync)(dirname_path, babelOptions).code;
    var originRes = (0, _babelCore.transformFileSync)(dirname_path, emptyOptions).code;

    var expectRes = originRes.replace('__dirname', '"' + _path2.default.dirname(dirname_path) + '"');
    expect(pluginRes).toBe(expectRes);
});

test('__dirname_string', function () {

    var dirname_path = _path2.default.join(__dirname, '../test_folder/dirname_string.js');

    var pluginRes = (0, _babelCore.transformFileSync)(dirname_path, babelOptions).code;
    var originRes = (0, _babelCore.transformFileSync)(dirname_path, emptyOptions).code;

    var expectRes = originRes;
    expect(pluginRes).toBe(expectRes);
});

test('__filename', function () {

    var filename_path = _path2.default.join(__dirname, '../test_folder/filename.js');

    var pluginRes = (0, _babelCore.transformFileSync)(filename_path, babelOptions).code;
    var originRes = (0, _babelCore.transformFileSync)(filename_path, emptyOptions).code;

    var expectRes = originRes.replace('__filename', '"' + filename_path + '"');
    expect(pluginRes).toBe(expectRes);
});

test('__filename_string', function () {

    var filename_path = _path2.default.join(__dirname, '../test_folder/filename_string.js');

    var pluginRes = (0, _babelCore.transformFileSync)(filename_path, babelOptions).code;
    var originRes = (0, _babelCore.transformFileSync)(filename_path, emptyOptions).code;

    var expectRes = originRes;
    expect(pluginRes).toBe(expectRes);
});